# log4cplus::spi::AppenderFactory Class Reference

This abstract class defines the "Factory" interface to create "Appender" objects. More...

`#include <factory.h>`

Inheritance diagram for log4cplus::spi::AppenderFactory:

[legend]
Collaboration diagram for log4cplus::spi::AppenderFactory:

[legend]
List of all members.

## Public Member Functions

| AppenderFactory ()
virtual | ~AppenderFactory ()
virtual SharedAppenderPtr | createObject (const log4cplus::helpers::Properties &props)=0
| Create an "Appender" object.
virtual log4cplus::tstring | getTypeName ()=0
| Returns the typename of the "Appender" objects this factory creates.

## Detailed Description

This abstract class defines the "Factory" interface to create "Appender" objects.

Definition at line 50 of file factory.h.

## Constructor & Destructor Documentation

log4cplus::spi::AppenderFactory::AppenderFactory | ( |  | ) | `[inline]`

| Definition at line 52 of file factory.h.

virtual log4cplus::spi::AppenderFactory::~AppenderFactory | ( |  | ) | `[inline, virtual]`

| Definition at line 53 of file factory.h.

## Member Function Documentation

virtual SharedAppenderPtr log4cplus::spi::AppenderFactory::createObject | ( | const log4cplus::helpers::Properties & | props | ) | `[pure virtual]`

| Create an "Appender" object.

virtual log4cplus::tstring log4cplus::spi::AppenderFactory::getTypeName | ( |  | ) | `[pure virtual]`

| Returns the typename of the "Appender" objects this factory creates. Implements log4cplus::spi::BaseFactory.

The documentation for this class was generated from the following file:

- factory.h